This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 293801 - Review Request: xorg-x11-drv-avivo - Xorg driver for ATI R500+
Review Request: xorg-x11-drv-avivo - Xorg driver for ATI R500+
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 15:46 EDT by Adam Jackson
Modified: 2014-03-16 23:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 14:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-09-17 15:46:33 EDT
Spec URL: http://ajax.fedorapeople.org/avivo/xorg-x11-drv-avivo.spec
SRPM URL: http://ajax.fedorapeople.org/avivo/xorg-x11-drv-avivo-0.0.1-3.fc8.src.rpm

Description:
avivo is an Xorg driver for ATI R500 and R600 cards.
Comment 1 Bill Nottingham 2007-09-18 00:23:36 EDT
MUST items:
 - Package meets naming and packaging guidelines - ***

Consider using some sort of versioning on the snapshot.

 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - ****

From a quick examination, GPLv2 is the correct value for the license tag.
Although avivotool is lacking in licensing in the code.

 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: - *** Can't check due to snapshot. 
 - Package needs ExcludeArch - OK
 - BuildRequires correct - ***

BuildRequires:  libpciaccess-devel
  and
%configure --disable-pciaccess

seem contradictory. Other than that, looks OK (it builds.)

 - Spec handles locales/find_lang - N/A
 - Package is relocatable and has a reason to be. - N/A
 - Package has %defattr and permissions on files is good.  - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot - OK
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content. - OK
 - Doc subpackage needed/used. - N/A
 - Packages %doc files don't affect runtime. - OK
 - Headers/static libs in -devel subpackage. - N/A
 - Spec has needed ldconfig in post and postun - N/A
 - .pc files in -devel subpackage/requires pkgconfig - N/A
 - .so files in -devel subpackage. - N/A
 - -devel package Requires: %{name} = %{version}-%{release} - N/A
 - .la files are removed. - OK
 
 - Package is a GUI app and has a .desktop file - N/A

 - Package compiles and builds on at least one arch. - OK (tested: i386 (mock),
x86_64 (local))
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. ***

xorg-x11-drv-avivo.i386: W: invalid-license GPL - covered above

 - final provides and requires are sane:

$ rpm -qpR xorg-x11-drv-avivo-0.0.1-3.fc8.i386.rpm 
libc.so.6  
...
libpciaccess.so.0  
rpmlib(CompressedFileNames) <= 3.0.4-1
...

implies that %configure --disable-pciaccess doesn't actually work.

SHOULD Items:

 - Should build in mock. - OK (tested: i386)
 - Should build on all supported archs - tested i386, x86_64
 - Should function as described. - can't test, no hardware
 - Should have sane scriptlets. - OK
 - Should have subpackages require base package with fully versioned depend. - N/A
 - Should have dist tag - OK
 - Should package latest version - ***

Can't tell from snapshot.

So, absolutely needs fixed:
- license tag

Really useful to have fixed:
- versioning of tarball, package

Might want to fix:
- libpciaccess confusion
- add a .xinf file?
Comment 2 Adam Jackson 2007-09-18 10:33:13 EDT
License is GPLv2 for the driver and zlib for avivotool, since it's a derived
work of radeontool.  The pciaccess thing is merely a configure.ac bug, it's
required at configure time even if you build without support for it.  Not going
to bother with an xinf file for a little while, it's not DTRTing on any of my
hardware yet.

Fixed license and tarball versioning:

http://ajax.fedorapeople.org/avivo/xorg-x11-drv-avivo-0.0.1-4.fc8.src.rpm
http://ajax.fedorapeople.org/avivo/xorg-x11-drv-avivo.spec
Comment 3 Bill Nottingham 2007-09-18 11:11:07 EDT
Looks good. Approved.
Comment 4 Adam Jackson 2007-09-18 14:02:56 EDT
New Package CVS Request
=======================
Package Name: xorg-x11-drv-avivo
Short Description: Xorg driver for ATI R500+ chipsets
Owners: ajax
Branches: 
InitialCC: 
Cvsextras Commits:
Comment 5 Marcin Garski 2007-09-19 16:39:27 EDT
ajax you have a typo in summary tag is "drievr" should be "driver".
Comment 6 Adam Jackson 2007-09-24 17:02:14 EDT
Imported and built (with typo fix).  Thanks!

Note You need to log in before you can comment on or make changes to this bug.